ServerEvents.recipes(event => {
    event.recipes.ars_nouveau.imbuement(
        'kubejs:diamond_key',
        'kubejs:staff_opening',
        6000,
        [
            'ars_nouveau:abjuration_essence',
            'twilightforest:twilight_scepter',
            'botania:pure_daisy',
            'ad_astra:ice_shard'
        ]
    )

    event.recipes.farmersdelight.cooking(
        [
            'twilightforest:raw_venison',
            'bakery:bread',
            'bakery:bread',
            'ad_astra:cheese',
            'candlelight:bolognese',
            'kubejs:mysterious_cake'
        ],
        'kubejs:opening_stew',
        2,
        4800,
        'minecraft:bowl'
    )
    event.shaped('kubejs:sword_opening', [
        '  A',
        ' B ',
        '   '
    ], {
        A: 'born_in_chaos_v1:seedof_chaos',
        B: 'twilightforest:triple_bow'
    })
    event.recipes.create.sequenced_assembly(
        [
            Item.of('kubejs:metal_scrap').withChance(100)
        ],
        'kubejs:naga_nail',
        [
            event.recipes.create.pressing(
                'kubejs:naga_nail',
                'kubejs:naga_nail'
            ),
            event.recipes.create.deploying('kubejs:naga_nail', [
                'kubejs:naga_nail',
                'twilightforest:magic_map_focus'
            ]),
            event.recipes.create.pressing(
                'kubejs:naga_nail',
                'kubejs:naga_nail'
            )
        ]
    ).transitionalItem('kubejs:naga_nail')
    event.recipes.createCutting(
        '2x kubejs:naga_nail',
        'twilightforest:naga_scale'
    )
    event.recipes.create.sequenced_assembly(
        [
            Item.of('kubejs:desh_cog').withChance(100)
        ],
        'kubejs:mysterious_cog',
        [
            event.recipes.create.pressing(
                'kubejs:mysterious_cog',
                'kubejs:mysterious_cog'
            ),
            event.recipes.create.deploying('kubejs:mysterious_cog', [
                'kubejs:mysterious_cog',
                'ad_astra:desh_plate'
            ]),
            event.recipes.create.pressing(
                'kubejs:mysterious_cog',
                'kubejs:mysterious_cog'
            )
        ]
    ).transitionalItem('kubejs:mysterious_cog')
    event.recipes.create.sequenced_assembly(
        [
            Item.of('kubejs:cube_opening').withChance(100)
        ],
        'kubejs:desh_cog',
        [
            event.recipes.create.pressing(
                'kubejs:desh_cog',
                'kubejs:desh_cog'
            ),
            event.recipes.create.deploying('kubejs:desh_cog', [
                'kubejs:desh_cog',
                'kubejs:metal_scrap'
            ]),
            event.recipes.create.pressing(
                'kubejs:desh_cog',
                'kubejs:desh_cog'
            )
        ]
    ).transitionalItem('kubejs:desh_cog')
})